Upstream information

CVE-2018-15120 at MITRE

Description

libpango in Pango 1.40.8 through 1.42.3, as used in hexchat and other products, allows remote attackers to cause a denial of service (application crash) or possibly have unspecified other impact via crafted text with invalid Unicode sequences.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v3 Scores
  SUSE
Base Score 5.3
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact None
Integrity Impact None
Availability Impact Low
SUSE Bugzilla entry: 1103877 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Basesystem 15
  • libpango-1_0-0 >= 1.40.14-3.3.1
  • pango >= 1.40.14-3.3.1
  • pango-devel >= 1.40.14-3.3.1
  • typelib-1_0-Pango-1_0 >= 1.40.14-3.3.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-2018-1931
SUSE Linux Enterprise Module for Desktop Applications 15
  • libpango-1_0-0-32bit >= 1.40.14-3.3.1
  • pango >= 1.40.14-3.3.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-2018-1931
openSUSE Leap 15.0
  • libpango-1_0-0 >= 1.40.14-lp150.2.3.1
  • libpango-1_0-0-32bit >= 1.40.14-lp150.2.3.1
  • libpango-1_0-0-32bit-debuginfo >= 1.40.14-lp150.2.3.1
  • libpango-1_0-0-debuginfo >= 1.40.14-lp150.2.3.1
  • pango >= 1.40.14-lp150.2.3.1
  • pango-debugsource >= 1.40.14-lp150.2.3.1
  • pango-devel >= 1.40.14-lp150.2.3.1
  • pango-devel-32bit >= 1.40.14-lp150.2.3.1
  • pango-tools >= 1.40.14-lp150.2.3.1
  • pango-tools-debuginfo >= 1.40.14-lp150.2.3.1
  • typelib-1_0-Pango-1_0 >= 1.40.14-lp150.2.3.1
Patchnames:
openSUSE-2018-1026


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP3 pango Not affected
SUSE Linux Enterprise Module for Basesystem 15 GA pango Released
SUSE Linux Enterprise Module for Desktop Applications 15 GA pango Released
SUSE Linux Enterprise SDK 11 SP4 pango Not affected
SUSE Linux Enterprise SDK 12 SP3 pango Not affected
SUSE Linux Enterprise Server 11 SP3 LTSS pango Not affected
SUSE Linux Enterprise Server 11 SP4 pango Not affected
SUSE Linux Enterprise Server 12 SP2 LTSS pango Not affected
SUSE Linux Enterprise Server 12 SP3 pango Not affected